import { HistoryPoint, LanguageCode } from "../../shared";
import { ItemBase, ItemOverview } from "../../shared/items";
import { ItemOption } from "./models/ItemOption";
import { DivinationCard } from "./div/DivinationCard";
import { DeliriumOrb } from "./deliriumorbs";
import { Incubator } from "./incubators";
import { Invitation } from "./invitations";
import { Oil } from "./oils";
import { Scarab } from "./scarabs";
import { Fossil } from "./fossils";
import { Resonator } from "./resonators";
import { Essence } from "./essences";
import { SkillGem } from "./gems";
import { BaseType } from "./basetypes";
import { HelmetEnchant } from "./helmetenchants";
import { Map } from "./maps";
import { UniqueJewel } from "./jewels";
import { UniqueFlask } from "./flasks";
import { UniqueWeapon } from "./weapons";
import { UniqueArmour } from "./armours";
import { UniqueAccessoire } from "./accessoires";
import { Beast } from "./beasts";
import { Vial } from "./vials";
import { Artifact } from "./artifacts";
import { ClusterJewel } from "./clusterjewels";
export declare type OptionMapping = {
    Invitation: Invitation;
    DeliriumOrb: DeliriumOrb;
    Oil: Oil;
    Incubator: Incubator;
    Scarab: Scarab;
    Fossil: Fossil;
    Resonator: Resonator;
    Essence: Essence;
    DivinationCard: DivinationCard;
    SkillGem: SkillGem;
    BaseType: BaseType;
    HelmetEnchant: HelmetEnchant;
    UniqueMap: Map;
    Map: Map;
    UniqueJewel: UniqueJewel;
    UniqueFlask: UniqueFlask;
    UniqueWeapon: UniqueWeapon;
    UniqueArmour: UniqueArmour;
    UniqueAccessory: UniqueAccessoire;
    Beast: Beast;
    Vial: Vial;
    Artifact: Artifact;
    ClusterJewel: ClusterJewel;
    BlightedMap: Map;
    BlightRavagedMap: Map;
    Watchstone: undefined;
    Prophecy: undefined;
    Sentinel: undefined;
};
export declare type RetType<T extends ItemOption> = OptionMapping[T] extends ItemBase ? ItemOverview<OptionMapping[T]> : undefined;
export declare type OverviewAllResult = {
    [P in ItemOption]: RetType<P>;
};
/**
 * @endpoint https://poe.ninja/api/data/ItemOverview
 * @param league
 * @param language
 */
export declare const getOverviewGeneric: <T extends ItemOption>(league: string, type: T, language?: LanguageCode) => Promise<RetType<T>>;
export declare const getOverviewAll: <T extends ItemOption>(league: string, language?: LanguageCode) => Promise<OverviewAllResult>;
/**
 * @endpoint https://poe.ninja/api/data/ItemHistory
 * @param league
 * @param type
 * @param id
 */
export declare const getHistoryGeneric: (league: string, type: ItemOption, id: number) => Promise<HistoryPoint[]>;
