import { Character, CharacterBase } from "../../..//shared/characters";
/**
 * Returns all characters belonging to the owning account.
 *
 * @remarks
 * Requires [[Settings.accessToken]] to be set and the scope `account:characters`.
 *
 * @endpoint https://api.pathofexile.com/character
 * @throws [[APIError]]
 */
export declare const getAll: () => Promise<CharacterBase[]>;
/**
 * Returns a character by name from the owning account.
 *
 * @remarks
 * Requires [[Settings.accessToken]] to be set and the scope `account:characters`.
 *
 * @endpoint https://api.pathofexile.com/character/:name
 * @throws [[APIError]]
 */
export declare const getByName: (name: string) => Promise<Character>;
