import { Ladder } from "../../../shared/ladders";
import { OAuthLadderOptions } from "./models";
/**
 * @remarks
 * Requires [[Settings.serviceToken]] to be set and the scope `service:leagues:ladder`.
 * There is a restriction in place on the last ladder entry you are able to retrieve which is set to `15000`.
 *
 * @example
 * Get the first 200 characters in the SSF Standard ladder.
 *
 * ```typescript
 * const ladder = await PathOfExile.OAuth.Ladders.get("SSF Standard", { limit: 200, track: 1 });
 * ```
 *
 * @endpoint https://api.pathofexile.com/league/:id/ladder
 * @param id League id
 * @param options
 * @throws [[APIError]]
 */
export declare const get: (id: string, options?: OAuthLadderOptions) => Promise<Ladder>;
