import { IPvpLadderOptions, IPvpOptions, PvpMatch, PvpMatchLadder } from "../../../shared/pvp_matches";
import { IRealmOptions } from "../../../shared";
/**
 * @remarks
 * Requires [[Settings.serviceToken]] to be set and the scope `service:pvp_matches`.
 *
 * @param options
 * @endpoint https://api.pathofexile.com/pvp-match
 * @throws [[APIError]]
 */
export declare const getMatches: (options?: IPvpOptions) => Promise<PvpMatch[]>;
/**
 * @remarks
 * Requires [[Settings.serviceToken]] to be set and the scope `service:pvp_matches`.
 *
 * @param options
 * @endpoint https://api.pathofexile.com/pvp-match/:match
 * @throws [[APIError]]
 */
export declare const getMatch: (match: string, options?: IRealmOptions) => Promise<PvpMatch>;
/**
 * @remarks
 * Requires [[Settings.serviceToken]] to be set and the scope `service:pvp_matches`.
 *
 * @param options
 * @endpoint https://api.pathofexile.com/pvp-match/:match/ladder
 * @throws [[APIError]]
 */
export declare const getLadder: (match: string, options?: IPvpLadderOptions) => Promise<PvpMatchLadder>;
