import { Stash, StashTabBase } from "../../../shared/stashes";
/**
 * @remarks
 * Requires [[Settings.accessToken]] to be set and the scope `account:stashes`.
 * The stash tabs do not include the items.
 *
 *
 * @endpoint https://api.pathofexile.com/stash/:league
 * @param leagueId The ID of the league, e.g. 'Standard'
 * @throws [[APIError]]
 */
export declare const getStash: (leagueId: string) => Promise<Stash<StashTabBase>>;
/**
 * @remarks
 * Requires [[Settings.accessToken]] to be set and the scope `account:stashes`.
 *
 *
 * @endpoint https://api.pathofexile.com/stash/:league/:stashID/[:subStashID]
 * @param leagueId The ID of the league, e.g. 'Standard'
 * @param stashID The ID of the stash tab
 * @param subStashId Optional.
 * @throws [[APIError]]
 */
export declare const getStashTab: (leagueId: string, stashID: string, subStashId?: string) => Promise<StashTabBase>;
