import { Character } from "../../../shared/characters";
import { InventoryItem } from "../../../shared/item";
import { Passives } from "../../../shared/passives";
import { GetItemsResponse } from "./models/GetItemsResponse";
import { PublicCharacterBase } from "./CharacterBase";
/**
 * @hidden
 */
export declare class PublicCharacter extends PublicCharacterBase implements Character {
    equipment: InventoryItem[];
    inventory: InventoryItem[];
    jewels: InventoryItem[];
    passives: Passives;
    constructor(items: GetItemsResponse, passives: Passives);
    updateInventory(replace?: boolean | undefined): Promise<[inventory: InventoryItem[], equipment: InventoryItem[]]>;
    updatePassives(replace?: boolean | undefined): Promise<[passives: Passives, jewels: InventoryItem[]]>;
}
