import { Ladder } from "../../../shared/ladders";
import { PublicLadderOptions } from "./models";
/**
 * @remarks
 * There is a restriction in place on the last ladder entry you are able to retrieve which is set to `15000`.
 *
 * @example
 * Get the first 200 characters in the SSF Standard ladder. We also set `track: 1` to add a unique identifier to each character.
 *
 * ```typescript
 * const ladder = await PathOfExile.Public.Ladders.get("SSF Standard", { limit: 200, track: 1 });
 * ```
 *
 * @endpoint https://api.pathofexile.com/ladders/id
 * @param id
 * @param options
 * @throws [[APIError]]
 */
export declare const get: (id: string, options?: PublicLadderOptions) => Promise<Ladder>;
