import { PlayerHistory, PlayerHistoryOptions, Season, SeasonOptions } from "../../../shared/seasons";
/**
 * @endpoint https://pathofexile.com/api/seasons
 * @param options
 * @returns A list of all seasons
 * @throws [[APIError]]
 */
export declare const get: (options?: SeasonOptions) => Promise<Season[]>;
/**
 * @remarks
 * This data is available even if the profile of the account is set to private
 *
 * @endpoint https://pathofexile.com/api/season-player-history
 * @param seasonId
 * @param accountName
 * @param options
 * @throws [[APIError]]
 */
export declare const getPlayerHistory: (seasonId: string, accountName: string, options?: PlayerHistoryOptions) => Promise<PlayerHistory>;
