import { IRealmOptions } from "../../../shared";
import { Profile } from "../../../shared/accounts";
import { AvatarCollection } from "./avatars";
import { AvatarsOptions } from "./models";
import { MtxGroup } from "./mtx";
export { getShowcasePins } from "../../public/accounts/API";
/**
 * @remarks
 * Requires [[Settings.sessionId]] to be set.
 *
 *
 * @endpoint https://pathofexile.com/api/profile
 * @param options
 * @throws [[APIError]]
 */
export declare const getProfile: (options?: IRealmOptions) => Promise<Profile>;
/**
 * @remarks
 * Requires [[Settings.sessionId]] to be set.
 *
 * @endpoint https://pathofexile.com/api/account-avatar
 * @param options
 * @throws [[APIError]]
 */
export declare const getAvatars: (options?: AvatarsOptions) => Promise<AvatarCollection>;
/**
 * @remarks
 * Requires [[Settings.sessionId]] to be set.
 *
 * @endpoint https://pathofexile.com/character-window/get-mtx-stash-items
 * @throws [[APIError]]
 */
export declare const getMicrotransactions: () => Promise<MtxGroup[]>;
