import { IRealmOptions } from "../../../shared";
import { Item } from "../../../shared/item";
import { Stash, StashTabBase } from "../../../shared/stashes";
/**
 * @remarks
 * Requires [[Settings.sessionId]] to be set.
 *
 * @remarks
 * Does not include the items of the stash tabs. Use `getStashTabsItems` instead.
 *
 *
 * @endpoint https://www.pathofexile.com/character-window/get-stash-items
 * @param accountName
 * @param league The ID of the league, e.g. 'Standard'
 * @param options
 * @throws [[APIError]]
 */
export declare const getStash: (accountName: string, league: string, options?: IRealmOptions) => Promise<Stash<StashTabBase>>;
/**
 * @remarks
 * Requires [[Settings.sessionId]] to be set.
 *
 *
 * @endpoint https://www.pathofexile.com/character-window/get-stash-items
 * @param accountName
 * @param league The ID of the league, e.g. 'Standard'
 * @param tabindex The index of the stash tab
 * @param options
 * @throws [[APIError]]
 */
export declare const getStashTabItems: (accountName: string, league: string, tabindex: number, options?: IRealmOptions) => Promise<Item[]>;
