import Color from "color";
import { StashTabBase } from "../../../shared/stashes";
import { Colour } from "./models/Colour";
import { IRealmOptions } from "../../../shared";
/**
 * @hidden
 */
export declare class SessionStashTab extends StashTabBase {
    protected colour: Colour;
    protected _league: string;
    protected _accountName: string;
    protected _options?: IRealmOptions;
    selected: boolean;
    srcL: string;
    srcC: string;
    srcR: string;
    name: string;
    index: number;
    get Color(): Color;
    set league(league: string);
    set account(account: string);
    set options(options: IRealmOptions);
    /**
     * Updates the items of this stash tab.
     *
     * @remarks
     * Requires [[Settings.sessionId]] to be set.
     * Uses the same options that were used to get this stash tab.
     *
     * @throws [[APIError]]
     */
    update(): Promise<void>;
}
