import { ErrorCode } from "./ErrorCode";
/**
 * Contrary to the documentation https://www.pathofexile.com/developer/docs/index#errors,
 * the error message might look like this when dealing with OAuth.
 * @hidden
 */
export interface OAuthAPIError {
    error: ErrorMessage;
    error_description: string;
}
/**
 * @hidden
 */
export declare function isOAuthAPIError(obj: unknown): obj is OAuthAPIError;
/**
 * @hidden
 */
export declare function getCode(message: ErrorMessage): ErrorCode;
/**
 * @hidden
 */
export declare enum ErrorMessage {
    InvalidToken = "invalid_token",
    InsufficientScope = "insufficient_scope",
    InvalidRequest = "invalid_request"
}
