import { Transformable } from "../../../common/classes/Transformable";
import { CharacterBase } from "../characters";
import { Guild } from "../guilds";
import { IRealmOptions } from "../models";
import { Realm } from "../models/Realm";
import { Stream } from "../streams/Stream";
export declare abstract class Account extends Transformable {
    name: string;
    realm: Realm;
    twitch?: Stream;
    guild?: Guild;
    /**
     * @remarks
     * Trying to get characters when the profile or character tab is private will result in an error.
     *
     * @param options
     * @returns A list of characters from this account
     * @throws [[APIError]]
     */
    abstract getCharacters?<T extends IRealmOptions>(options?: T): Promise<CharacterBase[]>;
}
