import { Transformable } from "../../../common/classes/Transformable";
import { LogbookMod } from "./models/LogbookMod";
import { Property } from "./models/Property";
import { AdditionalProperty } from "./models/AdditionalProperty";
import { UltimatumMod } from "./models/UltimatumMod";
import { Hybrid } from "./models/Hybrid";
import { Extended } from "./models/Extended";
import { Scourged } from "./models/Scourged";
/***
 * @hidden
 */
export declare abstract class ItemBase extends Transformable {
    verified: boolean;
    w: number;
    h: number;
    icon: string;
    name: string;
    typeLine: string;
    baseType: string;
    identified: boolean;
    ilvl: number;
    frameType: number;
    league?: string;
    id?: string;
    stackSize?: number;
    maxStackSize?: number;
    forum_note?: string;
    searing?: boolean;
    tangled?: boolean;
    abyssJewel?: boolean;
    fractured?: boolean;
    synthesised?: boolean;
    lockedToCharacter?: boolean;
    lockedToAccount?: boolean;
    split?: boolean;
    corrupted?: boolean;
    unmodifiable?: boolean;
    cisRaseReward?: boolean;
    seaRaceReward?: boolean;
    thRaceReward?: boolean;
    notableProperties?: Property[];
    requirements?: Property[];
    additionalProperties?: AdditionalProperty[];
    nextLevelRequirements?: Property[];
    descrText?: string;
    secDescrText?: string;
    logbookMods?: LogbookMod[];
    implicitMods?: string[];
    ultimatumMods?: UltimatumMod[];
    explicitMods?: string[];
    fracturedMods?: string[];
    flavourTextParsed?: string;
    hybrid?: Hybrid;
    extended?: Extended;
    scourged?: Scourged;
    scourgeMods?: string[];
}
