import { Transformable } from "../../../common/classes/Transformable";
import { PublicStashChange } from "./PublicStashChange";
export declare abstract class Chunk extends Transformable {
    nextChangeId: string;
    stashes: PublicStashChange[];
    /**
     * Fetches the next public stash changes.
     *
     * @remarks There is currently a 5-minute delay on results using this API
     *
     * @remarks If the stashes array is empty then you have reached the end of the stream.
     * It will then return new results once they become available.
     *
     * @throws [[APIError]]
     */
    abstract getNext(): Promise<Chunk>;
}
