import { Transformable } from "../../../common/classes/Transformable";
import { LeagueRule } from "../leagues";
import { Realm } from "../models";
import { PvpStyle } from "./models";
/**
 * Definition as in https://www.pathofexile.com/developer/docs/reference#type-PvPMatch
 */
export declare abstract class PvpMatch extends Transformable {
    id: string;
    description: string;
    glickoRatings: boolean;
    pvp: boolean;
    style: PvpStyle;
    rules: LeagueRule[];
    realm?: Realm;
    startAt?: Date;
    endAt?: Date;
    registerAt?: Date;
    url?: string;
    upcoming?: boolean;
    inProgress?: boolean;
}
