import { Transformable } from "../../../../../common/classes";
import { FetchResult } from "../fetch";
export declare abstract class SearchResult extends Transformable {
    id: string;
    complexity: number | null;
    total: number;
    /**
     * @overrides `result`
     */
    hashes: string[];
    inexact?: boolean;
    /**
     * @returns A list of next item listings, null if there are none
     * @throws [[APIError]]
     */
    abstract getNextItems(count: number): Promise<FetchResult[] | null>;
}
